curl --request POST \ --url https://data.upscrape.com/execute \ --header "Authorization: Bearer $UPSCRAPE_API_KEY" \ --header "Content-Type: application/json" \ --header "Prefer: wait=30" \ --data '{ "capability": "trustpilot.product.rating.get", "input": { "business_unit_id": "605071d79427c2000147bff9", "language": "fr", "product_name": "Irrésistible Givenchy", "sku": "41013C42", "url": "https://www.my-origines.com/fr/irresistible-givenchy-41013C42.html" }}'
import jsonimport osimport requestspayload = json.loads(r'''{ "capability": "trustpilot.product.rating.get", "input": { "business_unit_id": "605071d79427c2000147bff9", "language": "fr", "product_name": "Irrésistible Givenchy", "sku": "41013C42", "url": "https://www.my-origines.com/fr/irresistible-givenchy-41013C42.html" }}''')response = requests.post( "https://data.upscrape.com/execute", headers={ "Authorization": f"Bearer {os.environ['UPSCRAPE_API_KEY']}", "Content-Type": "application/json", "Prefer": "wait=30", }, json=payload,)response.raise_for_status()print(json.dumps(response.json(), indent=2))
const response = await fetch("https://data.upscrape.com/execute", { method: "POST", headers: { "Authorization": `Bearer ${process.env.UPSCRAPE_API_KEY}`, "Content-Type": "application/json", "Prefer": "wait=30", }, body: JSON.stringify({ "capability": "trustpilot.product.rating.get", "input": { "business_unit_id": "605071d79427c2000147bff9", "language": "fr", "product_name": "Irrésistible Givenchy", "sku": "41013C42", "url": "https://www.my-origines.com/fr/irresistible-givenchy-41013C42.html" }}),});if (!response.ok) { throw new Error(`Upscrape request failed: ${response.status}`);}console.log(JSON.stringify(await response.json(), null, 2));
Response
{ "name": "Irrésistible Givenchy", "gtin": "3274872512634", "has_rating": true, "rating_count": 2, "rating_stars": 4.5, "raw": { "name": "Irrésistible Givenchy", "@context": "http://schema.org", "@type": "Product", "brand": "Givenchy", "gtin13": "3274872512634", "mpn": "Givenchy", "sku": "41013C42", "url": "https://www.my-origines.com/fr/irresistible-givenchy-41013C42.html", "aggregateRating": { "@type": "AggregateRating", "ratingValue": "4.5", "reviewCount": "2" }, "offers": { "price": "108.80", "@type": "Offer", "priceCurrency": "EUR", "url": "https://www.my-origines.com/fr/irresistible-givenchy-41013C42.html" } }}